VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DropTargetAdapter Class Reference
New classes » Version 4.7

Drop target interface adapter. More...

`#include <dragging.h>`

Inheritance diagram for DropTargetAdapter:

## Public Member Functions
DragOperation | onDragEnter (DragEventData eventData) override
| a drag enters the drop target
DragOperation | onDragMove (DragEventData eventData) override
| a drag moves over the drop target
void | onDragLeave (DragEventData eventData) override
| a drag leaves the drop target
bool | onDrop (DragEventData eventData) override
| a drop happens on the drop target
Public Member Functions inherited from IReference
virtual void | forget ()=0
| decrease refcount and delete object if refcount == 0
virtual void | remember ()=0
| increase refcount

## Detailed Description

Drop target interface adapter.

## Member Function Documentation

## ◆ onDragEnter()

DragOperation onDragEnter | ( | DragEventData | data | ) |
| inline override virtual

a drag enters the drop target

Parameters

  data | drag event data

Returns
  drag operation

Implements IDropTarget.

## ◆ onDragLeave()

void onDragLeave | ( | DragEventData | data | ) |
| inline override virtual

a drag leaves the drop target

Parameters

  data | drag event data

Implements IDropTarget.

## ◆ onDragMove()

DragOperation onDragMove | ( | DragEventData | data | ) |
| inline override virtual

a drag moves over the drop target

Parameters

  data | drag event data

Returns
  drag operation

Implements IDropTarget.

## ◆ onDrop()

bool onDrop | ( | DragEventData | data | ) |
| inline override virtual

a drop happens on the drop target

Parameters

  data | drag event data

Implements IDropTarget.

The documentation for this class was generated from the following file:

- dragging.h